#ifndef __INITARRAY_HPP__
#define __INITARRAY_HPP__

#include "InitArrayFunc.hpp"
 
template <class T>
void 
CPU_InitTestArray(T *h_X, int N, T Const)
{
  for(int i=0; i<N; i++)
    h_X[i] = TestFunc<T>(Const,i);
}

template <class T>
void 
GPU_InitTestArray(T *d_X, int N, T Const,int threads, int blocks);
#endif
